---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libstopthrd007.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x24F0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50CB0, symBinAddr: 0x71F0, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52BF0, symBinAddr: 0x9130, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52FE0, symBinAddr: 0x9520, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53F80, symBinAddr: 0xA4C0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53F90, symBinAddr: 0xA4D0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50910, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50914, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50918, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50A70, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50B28, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50B2C, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50B30, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50B34, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50B38, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50B40, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50B50, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50B58, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50B60, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50B68, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50B70, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50B78, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x50BC0, symBinAddr: 0x71C0, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL13runningThread, symObjAddr: 0x50C00, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x9504, offset: 0x9504, size: 0x8, addend: 0x0, symName: __ZL11threadDeath, symObjAddr: 0x50C08, symBinAddr: 0x71D8, symSize: 0x0 }
  - { offsetInCU: 0x951D, offset: 0x951D, size: 0x8, addend: 0x0, symName: __ZL13waitingThread, symObjAddr: 0x50C10, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0x9536, offset: 0x9536, size: 0x8, addend: 0x0, symName: __ZL14sleepingThread, symObjAddr: 0x50C18, symBinAddr: 0x71E8, symSize: 0x0 }
  - { offsetInCU: 0x9588, offset: 0x9588, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1190, symSize: 0x80 }
  - { offsetInCU: 0x961D, offset: 0x961D, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x10E0, symSize: 0xB0 }
  - { offsetInCU: 0x9678, offset: 0x9678, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xFE0, symSize: 0x100 }
  - { offsetInCU: 0x990B, offset: 0x990B, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1210, symSize: 0xC0 }
  - { offsetInCU: 0x995D, offset: 0x995D, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x12D0, symSize: 0x220 }
  - { offsetInCU: 0x9B42, offset: 0x9B42, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x14F0, symSize: 0xA0 }
  - { offsetInCU: 0x9BF5, offset: 0x9BF5, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1590, symSize: 0x110 }
  - { offsetInCU: 0x9CEB, offset: 0x9CEB, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x16A0, symSize: 0x150 }
  - { offsetInCU: 0x9E48, offset: 0x9E48, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x17F0, symSize: 0x30 }
  - { offsetInCU: 0x9F49, offset: 0x9F49, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1820, symSize: 0x150 }
  - { offsetInCU: 0xA141, offset: 0xA141, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1970, symSize: 0x160 }
  - { offsetInCU: 0xA401, offset: 0xA401, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x1AD0, symSize: 0x4A0 }
  - { offsetInCU: 0xA674, offset: 0xA674, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x1F70, symSize: 0x1B0 }
  - { offsetInCU: 0xA88F, offset: 0xA88F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2120, symSize: 0xA0 }
  - { offsetInCU: 0xA95E, offset: 0xA95E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x21C0, symSize: 0x20 }
  - { offsetInCU: 0xA995, offset: 0xA995, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x21E0, symSize: 0x20 }
  - { offsetInCU: 0xA9CC, offset: 0xA9CC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2200, symSize: 0x20 }
  - { offsetInCU: 0xAB3B, offset: 0xAB3B, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2220, symSize: 0x1A0 }
  - { offsetInCU: 0xAE57, offset: 0xAE57, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x23C0, symSize: 0x130 }
  - { offsetInCU: 0xB007, offset: 0xB007, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2760, symSize: 0x1B0 }
  - { offsetInCU: 0xB2F6, offset: 0xB2F6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2910, symSize: 0x80 }
  - { offsetInCU: 0xB3BF, offset: 0xB3BF, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2990, symSize: 0x6A0 }
  - { offsetInCU: 0xBF54, offset: 0xBF54, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA580, symBinAddr: 0x40A0, symSize: 0xB0 }
  - { offsetInCU: 0xBFCB, offset: 0xBFCB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x3030, symSize: 0x70 }
  - { offsetInCU: 0xC087, offset: 0xC087, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x30A0, symSize: 0xA0 }
  - { offsetInCU: 0xC166, offset: 0xC166, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x3140, symSize: 0x40 }
  - { offsetInCU: 0xC25C, offset: 0xC25C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x3180, symSize: 0x2B0 }
  - { offsetInCU: 0xC602, offset: 0xC602, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x3430, symSize: 0xC0 }
  - { offsetInCU: 0xC748, offset: 0xC748, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x34F0, symSize: 0x10 }
  - { offsetInCU: 0xC80A, offset: 0xC80A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x3500, symSize: 0x220 }
  - { offsetInCU: 0xCB07, offset: 0xCB07, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3720, symSize: 0x10 }
  - { offsetInCU: 0xCB64, offset: 0xCB64, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3730, symSize: 0x200 }
  - { offsetInCU: 0xCDE0, offset: 0xCDE0, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E10, symBinAddr: 0x3930, symSize: 0x10 }
  - { offsetInCU: 0xCF15, offset: 0xCF15, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9E20, symBinAddr: 0x3940, symSize: 0x760 }
  - { offsetInCU: 0xD741, offset: 0xD741, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA630, symBinAddr: 0x4150, symSize: 0x36A }
...
